View Issue Details

IDProjectCategoryView StatusLast Update
0000958Main CAcert Websitewebsite contentpublic2013-04-23 21:03
Reporteralex Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status needs workResolutionsuspended 
PlatformMain CAcert WebsiteOSN/A 
Fixed in Version2011 Q4 
Summary0000958: Board wants donations/advertisments/micropayment on main CAcert website
DescriptionPlease add advertisments/commercials on www.cacert.org - as long as user is not logged in.
Steps To Reproduce- Open CAcert website with new browser instance without becoming automatically logged in
- Logout of CAcert website
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

INOPIAE

2011-07-12 20:56

updater   ~0002114

see Board protocol
http://wiki.cacert.org/Brain/CAcertInc/Committee/MeetingAgendasAndMinutes/20110710

and http://wiki.cacert.org/comma/SpecialCampaigns/LogosForSale

Uli60

2011-07-13 00:14

updater   ~0002119

Last edited: 2011-07-13 19:27

View 3 revisions

added patch

2011-07-13 02:15:00
"CAcert operations are sponsored by" the part "CAcert operat.." is overlapped by the first logo

Uli60

2011-07-13 00:15

updater   ~0002120

Last edited: 2011-07-13 19:28

View 2 revisions

NEO transfered to testserver
2011-07-13 02:15:00 updated revision

Uli60

2011-07-13 19:37

updater   ~0002126

Last edited: 2011-07-13 19:51

View 3 revisions

main page http://cacert1.it-sls.de/ lists
"CAcert operations are sponsored by" and 4 logos in the line under the CAcert logo
in the header part of the main page.

header logos are visible above the password login form, the Lost Password page and also Netcafe Login page

all other submenus and subfunctions don't displays the header logo

Cert login goes directly to account page

confirm email address page lists also header logo
http://cacert1.it-sls.de/verify.php?type=email&emailid=123456&hash=longhashvalue

alex

2011-07-13 21:24

reporter   ~0002129

Works as programmed:

The logo is presented on testserver in both ssl and non-ssl secured site. It is visible on any of the main webserver page, e.g. also on login form. After login it disappears. It reappears after logout! Only password-login tested!

I believe the page is displayed as "showClass (sponsorinfo && sponsorinfo_top) if !isLoggedIn" so it should work in the same way for cert login, too. Still cert login should be verified as well.

But regarding the wiki LogosForSale question remains if the implementation is done as ordered. Shall the new ad givers really move to the top? Or should they be shifted to the bottom? Will top be higher priced than bottom? What will the bottom part vendors think if others are on the top for the same price?

INOPIAE

2011-07-23 05:18

updater   ~0002180

New advertising is visible on:
cacert1.it-sls.de main page -> ok
join -> ok
joined confirmation ->ok
cacert.it-sls.de pwd login no show -> ok
cacert.it-sla.de after logout show -> ok
certicicate login no show->ok
secure1.it-sls.de after logout show -> ok

Uli60

2011-08-31 01:09

updater   ~0002375

to apply sample icons from Software Assessment team meeting
to apply links to wiki

Uli60

2011-11-16 01:24

updater   ~0002693

project set on hold as of meeting result
https://wiki.cacert.org/Software/Assessment/20111115-S-A-MiniTOP

can be re-opened next year or whenever the time is approbiate

Werner Dworak

2012-12-21 05:19

updater   ~0003523

More than 3 month fixed and no complaints

Uli60

2013-04-23 21:00

updater   ~0003915

  1. Ians donation proposal on board mailing list
   * [[https://lists.cacert.org/wws/arc/cacert-board/2013-04/msg00003.html|Foundations - Experience Report: How we increased donations at Eclipse, Ian G, 13/04/14]]
   * for CAcert -> everwhere creating client certs
   * spam?
   * libreoffice opens new page
   * sponsor-button on mainpage and at end of page creating cert
   * requires rethinking of deployment
   * solution in direction support ticket footer, 2-liner

from SAP meeting
https://wiki.cacert.org/Software/Assessment/20130423-S-A-MiniTOP

Uli60

2013-04-23 21:02

updater   ~0003916

1. Use of micropayment services for funding
   * [[Brain/CAcertInc/Committee/MeetingAgendasAndMinutes/20130421|from Board meeting agenda item 2.2]]
   * privacy issue to handle by eg [[http://www.heise.de/ct/artikel/2-Klicks-fuer-mehr-Datenschutz-1333879.html|2-click solution by Heise]]
   * start with blog and wiki
   * e.g. account page - payment provider link to local page to avoid user detail disclosure; local page link without any private information.

from SAP meeting
https://wiki.cacert.org/Software/Assessment/20130423-S-A-MiniTOP

Issue History

Date Modified Username Field Change
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master aaa11c69
2011-07-12 20:55 alex New Issue
2011-07-12 20:56 INOPIAE Note Added: 0002114
2011-07-12 23:25 Source_changeset_attached => cacert-devel master e5186895
2011-07-12 23:55 NEOatNHNG Source_changeset_attached => cacert-devel master 31406340
2011-07-12 23:55 NEOatNHNG Source_changeset_attached => cacert-devel master d8b7eb96
2011-07-13 00:10 NEOatNHNG Source_changeset_attached => cacert-devel master 7068acc2
2011-07-13 00:10 NEOatNHNG Source_changeset_attached => cacert-devel master 62ce12d3
2011-07-13 00:14 Uli60 Assigned To => egal
2011-07-13 00:14 Uli60 Status new => needs work
2011-07-13 00:14 Uli60 Note Added: 0002119
2011-07-13 00:14 Uli60 Status needs work => fix available
2011-07-13 00:15 Uli60 Note Added: 0002120
2011-07-13 00:15 Uli60 Status fix available => needs review & testing
2011-07-13 19:27 Uli60 Note Edited: 0002119 View Revisions
2011-07-13 19:27 Uli60 Note Edited: 0002119 View Revisions
2011-07-13 19:28 Uli60 Note Edited: 0002120 View Revisions
2011-07-13 19:37 Uli60 Note Added: 0002126
2011-07-13 19:39 Uli60 Note Edited: 0002126 View Revisions
2011-07-13 19:51 Uli60 Note Edited: 0002126 View Revisions
2011-07-13 21:24 alex Note Added: 0002129
2011-07-23 05:18 INOPIAE Note Added: 0002180
2011-08-31 01:09 Uli60 Note Added: 0002375
2011-08-31 01:09 Uli60 Status needs review & testing => needs work
2011-11-16 01:24 Uli60 Note Added: 0002693
2011-11-16 01:24 Uli60 Status needs work => solved?
2011-11-16 01:24 Uli60 Resolution open => suspended
2012-12-21 05:19 Werner Dworak Note Added: 0003523
2012-12-21 05:19 Werner Dworak Status solved? => closed
2013-01-15 17:34 Werner Dworak Fixed in Version => 2011 Q4
2013-04-23 21:00 Uli60 Note Added: 0003915
2013-04-23 21:00 Uli60 Assigned To egal =>
2013-04-23 21:00 Uli60 Status closed => needs work
2013-04-23 21:02 Uli60 Note Added: 0003916
2013-04-23 21:03 Uli60 Summary Board wants advertisments on main CAcert website => Board wants donations/advertisments/micropayment on main CAcert website